P4_BYTE_SWAP_MOVE(3)

NAME
p4_byte_swap_move - >MOVE< ( from-addr* to-addr* count# -- ) [FTH] [OLD]

SYNOPSIS

#include <pfe/forth-83-ext.h>

FCode p4_byte_swap_move(---);

DESCRIPTION

see MOVE , does byte-swap for each word underway.

depracated: this word has not been very useful lately. It does still stem from times of 16bit forth systems that wanted to interchange data blocks. It is better to use functionality based on NTOHS or NTOHL. Note that this word >MOVE< does swap each 2byte. It is not useful for byte-swapping WCHAR strings as the count is given in bytes, not wchar items.

AUTHOR

    • Guido U. Draheim (modified by $Author: guidod $)

COPYRIGHT

Copyright (C) Tektronix, Inc. 1998 - 2001. Copyright (C) 2005 - 2008 Guido U. Draheim <guidod@gmx.de>